/*
 * (C) Copyright 2013 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     vpasquier <vpasquier@nuxeo.com>
 *     slacoin <slacoin@nuxeo.com>
 */
package org.nuxeo.ecm.automation.client;

import java.util.HashMap;
import java.util.Map;

import org.codehaus.jackson.JsonNode;

/**
 * @since 5.8
 */
public class RemoteThrowable extends Throwable {

    private static final long serialVersionUID = 1L;

    public RemoteThrowable(String message) {
        super(message);
    }

    protected final HashMap<String, JsonNode> otherNodes = new HashMap<String, JsonNode>();

    public Map<String, JsonNode> getOtherNodes() {
        return otherNodes;
    }
}
