/*
 * (C) Copyright 2006-2009 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 * $Id$
 */

package org.nuxeo.ecm.platform.audit;

import static org.junit.Assert.assertNotNull;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.nuxeo.ecm.platform.audit.api.AuditLogger;
import org.nuxeo.ecm.platform.audit.api.AuditReader;
import org.nuxeo.ecm.platform.audit.api.Logs;
import org.nuxeo.runtime.api.Framework;
import org.nuxeo.runtime.test.runner.Features;
import org.nuxeo.runtime.test.runner.FeaturesRunner;

@Features(AuditFeature.class)
@RunWith(FeaturesRunner.class)
public class TestServiceAccess {

    @Test
    public void testFullAccess() {
        Logs fullService = Framework.getLocalService(Logs.class);
        assertNotNull(fullService);
    }

    @Test
    public void testReadAccess() {
        AuditReader reader = Framework.getLocalService(AuditReader.class);
        assertNotNull(reader);
    }

    @Test
    public void testWriteAccess() {
        AuditLogger writer = Framework.getLocalService(AuditLogger.class);
        assertNotNull(writer);
    }

}
