/*
 * (C) Copyright 2006-2007 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 * $Id: RelationActions.java 21346 2007-06-25 16:20:59Z atchertchian $
 */

package org.nuxeo.ecm.platform.relations.web.listener;

import java.util.List;

import javax.faces.event.ActionEvent;

import org.nuxeo.ecm.core.api.DocumentModel;
import org.nuxeo.ecm.platform.relations.api.Node;
import org.nuxeo.ecm.platform.relations.api.QNameResource;
import org.nuxeo.ecm.platform.relations.web.StatementInfo;

/**
 * Relation actions.
 *
 * @author <a href="mailto:at@nuxeo.com">Anahide Tchertchian</a>
 */
public interface RelationActions {

    String SEARCH_DOCUMENT_LIST = "RELATION_SEARCH_DOCUMENT_LIST";

    List<StatementInfo> getIncomingStatementsInfo();

    List<StatementInfo> getOutgoingStatementsInfo();

    void resetStatements();

    String addStatement();

    String deleteStatement(StatementInfo statementInfo);

    QNameResource getDocumentResource(DocumentModel document);

    DocumentModel getDocumentModel(Node node);

    Boolean getShowCreateForm();

    void toggleCreateForm(ActionEvent event);

    String getComment();

    void setComment(String comment);

    String getObjectDocumentTitle();

    void setObjectDocumentTitle(String objectDocumentTitle);

    String getObjectDocumentUid();

    void setObjectDocumentUid(String objectDocumentUid);

    String getObjectLiteralValue();

    void setObjectLiteralValue(String objectLiteralValue);

    String getObjectType();

    void setObjectType(String objectType);

    String getObjectUri();

    void setObjectUri(String objectUri);

    String getPredicateUri();

    void setPredicateUri(String predicateUri);

}
