/*
 * (C) Copyright 2006-2007 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Contributors:
 *     bstefanescu
 *
 * $Id$
 */

package org.nuxeo.shell.cmds.completors;

import java.util.List;

import org.nuxeo.shell.Shell;

/**
 * @author <a href="mailto:bs@nuxeo.com">Bogdan Stefanescu</a>
 */
public class CommandCompletor extends jline.SimpleCompletor {

    final Shell shell;

    public CommandCompletor(Shell shell) {
        super(new String[0]);
        this.shell = shell;
    }

    @SuppressWarnings("rawtypes")
    @Override
    public int complete(String buffer, int cursor, List clist) {
        setCandidateStrings(shell.getActiveRegistry().getCommandNames());
        return super.complete(buffer, cursor, clist);
    }

}
